## org.eclipse.ocl.expressions
Interface ExpressionsPackage

All Superinterfaces:
  EModelElement, ENamedElement, EObject, EPackage, Notifier

All Known Implementing Classes:
  ExpressionsPackageImpl

    public interface ExpressionsPackage

extends EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `ExpressionsFactory`

Nested Class Summary
`static interface` `ExpressionsPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Field Summary
`static int` `ASSOCIATION_CLASS_CALL_EXP` The meta object id for the '`Association Class Call Exp`' class
`static int` `ASSOCIATION_CLASS_CALL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `ASSOCIATION_CLASS_CALL_EXP__MARKED_PRE` The feature id for the 'Marked Pre' attribute
`static int` `ASSOCIATION_CLASS_CALL_EXP__NAVIGATION_SOURCE` The feature id for the 'Navigation Source' reference
`static int` `ASSOCIATION_CLASS_CALL_EXP__PROPERTY_END_POSITION` The feature id for the 'Property End Position' attribute
`static int` `ASSOCIATION_CLASS_CALL_EXP__PROPERTY_START_POSITION` The feature id for the 'Property Start Position' attribute
`static int` `ASSOCIATION_CLASS_CALL_EXP__QUALIFIER` The feature id for the 'Qualifier' containment reference list
`static int` `ASSOCIATION_CLASS_CALL_EXP__REFERRED_ASSOCIATION_CLASS` The feature id for the 'Referred Association Class' reference
`static int` `ASSOCIATION_CLASS_CALL_EXP__SOURCE` The feature id for the 'Source' containment reference
`static int` `ASSOCIATION_CLASS_CALL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `ASSOCIATION_CLASS_CALL_EXP_FEATURE_COUNT` The number of structural features of the 'Association Class Call Exp' class
`static int` `BOOLEAN_LITERAL_EXP` The meta object id for the '`Boolean Literal Exp`' class
`static int` `BOOLEAN_LITERAL_EXP__BOOLEAN_SYMBOL` The feature id for the 'Boolean Symbol' attribute
`static int` `BOOLEAN_LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `BOOLEAN_LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `BOOLEAN_LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'Boolean Literal Exp' class
`static int` `CALL_EXP` The meta object id for the '`Call Exp`' class
`static int` `CALL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `CALL_EXP__PROPERTY_END_POSITION` The feature id for the 'Property End Position' attribute
`static int` `CALL_EXP__PROPERTY_START_POSITION` The feature id for the 'Property Start Position' attribute
`static int` `CALL_EXP__SOURCE` The feature id for the 'Source' containment reference
`static int` `CALL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `CALL_EXP_FEATURE_COUNT` The number of structural features of the 'Call Exp' class
`static int` `COLLECTION_ITEM` The meta object id for the '`Collection Item`' class
`static int` `COLLECTION_ITEM__ITEM` The feature id for the 'Item' containment reference
`static int` `COLLECTION_ITEM_FEATURE_COUNT` The number of structural features of the 'Collection Item' class
`static int` `COLLECTION_KIND` The meta object id for the '`Collection Kind`' enum
`static int` `COLLECTION_LITERAL_EXP` The meta object id for the '`Collection Literal Exp`' class
`static int` `COLLECTION_LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `COLLECTION_LITERAL_EXP__KIND` The feature id for the 'Kind' attribute
`static int` `COLLECTION_LITERAL_EXP__PART` The feature id for the 'Part' containment reference list
`static int` `COLLECTION_LITERAL_EXP__SIMPLE_RANGE` The feature id for the 'Simple Range' attribute
`static int` `COLLECTION_LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `COLLECTION_LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'Collection Literal Exp' class
`static int` `COLLECTION_LITERAL_PART` The meta object id for the '`Collection Literal Part`' class
`static int` `COLLECTION_LITERAL_PART_FEATURE_COUNT` The number of structural features of the 'Collection Literal Part' class
`static int` `COLLECTION_RANGE` The meta object id for the '`Collection Range`' class
`static int` `COLLECTION_RANGE__FIRST` The feature id for the 'First' containment reference
`static int` `COLLECTION_RANGE__LAST` The feature id for the 'Last' containment reference
`static int` `COLLECTION_RANGE_FEATURE_COUNT` The number of structural features of the 'Collection Range' class
`static ExpressionsPackage` `eINSTANCE` The singleton instance of the package
`static String` `eNAME` The package name
`static String` `eNS_PREFIX` The package namespace name
`static String` `eNS_URI` The package namespace URI
`static int` `ENUM_LITERAL_EXP` The meta object id for the '`Enum Literal Exp`' class
`static int` `ENUM_LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `ENUM_LITERAL_EXP__REFERRED_ENUM_LITERAL` The feature id for the 'Referred Enum Literal' reference
`static int` `ENUM_LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `ENUM_LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'Enum Literal Exp' class
`static int` `FEATURE_CALL_EXP` The meta object id for the '`Feature Call Exp`' class
`static int` `FEATURE_CALL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `FEATURE_CALL_EXP__MARKED_PRE` The feature id for the 'Marked Pre' attribute
`static int` `FEATURE_CALL_EXP__PROPERTY_END_POSITION` The feature id for the 'Property End Position' attribute
`static int` `FEATURE_CALL_EXP__PROPERTY_START_POSITION` The feature id for the 'Property Start Position' attribute
`static int` `FEATURE_CALL_EXP__SOURCE` The feature id for the 'Source' containment reference
`static int` `FEATURE_CALL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `FEATURE_CALL_EXP_FEATURE_COUNT` The number of structural features of the 'Feature Call Exp' class
`static int` `IF_EXP` The meta object id for the '`If Exp`' class
`static int` `IF_EXP__CONDITION` The feature id for the 'Condition' containment reference
`static int` `IF_EXP__ELSE_EXPRESSION` The feature id for the 'Else Expression' containment reference
`static int` `IF_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `IF_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `IF_EXP__THEN_EXPRESSION` The feature id for the 'Then Expression' containment reference
`static int` `IF_EXP_FEATURE_COUNT` The number of structural features of the 'If Exp' class
`static int` `INTEGER_LITERAL_EXP` The meta object id for the '`Integer Literal Exp`' class
`static int` `INTEGER_LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `INTEGER_LITERAL_EXP__INTEGER_SYMBOL` The feature id for the 'Integer Symbol' attribute
`static int` `INTEGER_LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `INTEGER_LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'Integer Literal Exp' class
`static int` `INVALID_LITERAL_EXP` The meta object id for the '`Invalid Literal Exp`' class
`static int` `INVALID_LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `INVALID_LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `INVALID_LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'Invalid Literal Exp' class
`static int` `ITERATE_EXP` The meta object id for the '`Iterate Exp`' class
`static int` `ITERATE_EXP__BODY` The feature id for the 'Body' containment reference
`static int` `ITERATE_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `ITERATE_EXP__ITERATOR` The feature id for the 'Iterator' containment reference list
`static int` `ITERATE_EXP__PROPERTY_END_POSITION` The feature id for the 'Property End Position' attribute
`static int` `ITERATE_EXP__PROPERTY_START_POSITION` The feature id for the 'Property Start Position' attribute
`static int` `ITERATE_EXP__RESULT` The feature id for the 'Result' containment reference
`static int` `ITERATE_EXP__SOURCE` The feature id for the 'Source' containment reference
`static int` `ITERATE_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `ITERATE_EXP_FEATURE_COUNT` The number of structural features of the 'Iterate Exp' class
`static int` `ITERATOR_EXP` The meta object id for the '`Iterator Exp`' class
`static int` `ITERATOR_EXP__BODY` The feature id for the 'Body' containment reference
`static int` `ITERATOR_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `ITERATOR_EXP__ITERATOR` The feature id for the 'Iterator' containment reference list
`static int` `ITERATOR_EXP__PROPERTY_END_POSITION` The feature id for the 'Property End Position' attribute
`static int` `ITERATOR_EXP__PROPERTY_START_POSITION` The feature id for the 'Property Start Position' attribute
`static int` `ITERATOR_EXP__SOURCE` The feature id for the 'Source' containment reference
`static int` `ITERATOR_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `ITERATOR_EXP_FEATURE_COUNT` The number of structural features of the 'Iterator Exp' class
`static int` `LET_EXP` The meta object id for the '`Let Exp`' class
`static int` `LET_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `LET_EXP__IN` The feature id for the 'In' containment reference
`static int` `LET_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `LET_EXP__VARIABLE` The feature id for the 'Variable' containment reference
`static int` `LET_EXP_FEATURE_COUNT` The number of structural features of the 'Let Exp' class
`static int` `LITERAL_EXP` The meta object id for the '`Literal Exp`' class
`static int` `LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'Literal Exp' class
`static int` `LOOP_EXP` The meta object id for the '`Loop Exp`' class
`static int` `LOOP_EXP__BODY` The feature id for the 'Body' containment reference
`static int` `LOOP_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `LOOP_EXP__ITERATOR` The feature id for the 'Iterator' containment reference list
`static int` `LOOP_EXP__PROPERTY_END_POSITION` The feature id for the 'Property End Position' attribute
`static int` `LOOP_EXP__PROPERTY_START_POSITION` The feature id for the 'Property Start Position' attribute
`static int` `LOOP_EXP__SOURCE` The feature id for the 'Source' containment reference
`static int` `LOOP_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `LOOP_EXP_FEATURE_COUNT` The number of structural features of the 'Loop Exp' class
`static int` `MESSAGE_EXP` The meta object id for the '`Message Exp`' class
`static int` `MESSAGE_EXP__ARGUMENT` The feature id for the 'Argument' containment reference list
`static int` `MESSAGE_EXP__CALLED_OPERATION` The feature id for the 'Called Operation' containment reference
`static int` `MESSAGE_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `MESSAGE_EXP__PROPERTY_END_POSITION` The feature id for the 'Property End Position' attribute
`static int` `MESSAGE_EXP__PROPERTY_START_POSITION` The feature id for the 'Property Start Position' attribute
`static int` `MESSAGE_EXP__SENT_SIGNAL` The feature id for the 'Sent Signal' containment reference
`static int` `MESSAGE_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `MESSAGE_EXP__TARGET` The feature id for the 'Target' containment reference
`static int` `MESSAGE_EXP_FEATURE_COUNT` The number of structural features of the 'Message Exp' class
`static int` `NAVIGATION_CALL_EXP` The meta object id for the '`Navigation Call Exp`' class
`static int` `NAVIGATION_CALL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `NAVIGATION_CALL_EXP__MARKED_PRE` The feature id for the 'Marked Pre' attribute
`static int` `NAVIGATION_CALL_EXP__NAVIGATION_SOURCE` The feature id for the 'Navigation Source' reference
`static int` `NAVIGATION_CALL_EXP__PROPERTY_END_POSITION` The feature id for the 'Property End Position' attribute
`static int` `NAVIGATION_CALL_EXP__PROPERTY_START_POSITION` The feature id for the 'Property Start Position' attribute
`static int` `NAVIGATION_CALL_EXP__QUALIFIER` The feature id for the 'Qualifier' containment reference list
`static int` `NAVIGATION_CALL_EXP__SOURCE` The feature id for the 'Source' containment reference
`static int` `NAVIGATION_CALL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `NAVIGATION_CALL_EXP_FEATURE_COUNT` The number of structural features of the 'Navigation Call Exp' class
`static int` `NULL_LITERAL_EXP` The meta object id for the '`Null Literal Exp`' class
`static int` `NULL_LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `NULL_LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `NULL_LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'Null Literal Exp' class
`static int` `NUMERIC_LITERAL_EXP` The meta object id for the '`Numeric Literal Exp`' class
`static int` `NUMERIC_LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `NUMERIC_LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `NUMERIC_LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'Numeric Literal Exp' class
`static int` `OCL_EXPRESSION` The meta object id for the '`OCL Expression`' class
`static int` `OCL_EXPRESSION__END_POSITION` The feature id for the 'End Position' attribute
`static int` `OCL_EXPRESSION__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `OCL_EXPRESSION_FEATURE_COUNT` The number of structural features of the 'OCL Expression' class
`static int` `OPERATION_CALL_EXP` The meta object id for the '`Operation Call Exp`' class
`static int` `OPERATION_CALL_EXP__ARGUMENT` The feature id for the 'Argument' containment reference list
`static int` `OPERATION_CALL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `OPERATION_CALL_EXP__MARKED_PRE` The feature id for the 'Marked Pre' attribute
`static int` `OPERATION_CALL_EXP__OPERATION_CODE` The feature id for the 'Operation Code' attribute
`static int` `OPERATION_CALL_EXP__PROPERTY_END_POSITION` The feature id for the 'Property End Position' attribute
`static int` `OPERATION_CALL_EXP__PROPERTY_START_POSITION` The feature id for the 'Property Start Position' attribute
`static int` `OPERATION_CALL_EXP__REFERRED_OPERATION` The feature id for the 'Referred Operation' reference
`static int` `OPERATION_CALL_EXP__SOURCE` The feature id for the 'Source' containment reference
`static int` `OPERATION_CALL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `OPERATION_CALL_EXP_FEATURE_COUNT` The number of structural features of the 'Operation Call Exp' class
`static int` `PRIMITIVE_LITERAL_EXP` The meta object id for the '`Primitive Literal Exp`' class
`static int` `PRIMITIVE_LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `PRIMITIVE_LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `PRIMITIVE_LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'Primitive Literal Exp' class
`static int` `PROPERTY_CALL_EXP` The meta object id for the '`Property Call Exp`' class
`static int` `PROPERTY_CALL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `PROPERTY_CALL_EXP__MARKED_PRE` The feature id for the 'Marked Pre' attribute
`static int` `PROPERTY_CALL_EXP__NAVIGATION_SOURCE` The feature id for the 'Navigation Source' reference
`static int` `PROPERTY_CALL_EXP__PROPERTY_END_POSITION` The feature id for the 'Property End Position' attribute
`static int` `PROPERTY_CALL_EXP__PROPERTY_START_POSITION` The feature id for the 'Property Start Position' attribute
`static int` `PROPERTY_CALL_EXP__QUALIFIER` The feature id for the 'Qualifier' containment reference list
`static int` `PROPERTY_CALL_EXP__REFERRED_PROPERTY` The feature id for the 'Referred Property' reference
`static int` `PROPERTY_CALL_EXP__SOURCE` The feature id for the 'Source' containment reference
`static int` `PROPERTY_CALL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `PROPERTY_CALL_EXP_FEATURE_COUNT` The number of structural features of the 'Property Call Exp' class
`static int` `REAL_LITERAL_EXP` The meta object id for the '`Real Literal Exp`' class
`static int` `REAL_LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `REAL_LITERAL_EXP__REAL_SYMBOL` The feature id for the 'Real Symbol' attribute
`static int` `REAL_LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `REAL_LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'Real Literal Exp' class
`static int` `STATE_EXP` The meta object id for the '`State Exp`' class
`static int` `STATE_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `STATE_EXP__REFERRED_STATE` The feature id for the 'Referred State' reference
`static int` `STATE_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `STATE_EXP_FEATURE_COUNT` The number of structural features of the 'State Exp' class
`static int` `STRING_LITERAL_EXP` The meta object id for the '`String Literal Exp`' class
`static int` `STRING_LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `STRING_LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `STRING_LITERAL_EXP__STRING_SYMBOL` The feature id for the 'String Symbol' attribute
`static int` `STRING_LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'String Literal Exp' class
`static int` `TUPLE_LITERAL_EXP` The meta object id for the '`Tuple Literal Exp`' class
`static int` `TUPLE_LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `TUPLE_LITERAL_EXP__PART` The feature id for the 'Part' containment reference list
`static int` `TUPLE_LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `TUPLE_LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'Tuple Literal Exp' class
`static int` `TUPLE_LITERAL_PART` The meta object id for the '`Tuple Literal Part`' class
`static int` `TUPLE_LITERAL_PART__ATTRIBUTE` The feature id for the 'Attribute' reference
`static int` `TUPLE_LITERAL_PART__END_POSITION` The feature id for the 'End Position' attribute
`static int` `TUPLE_LITERAL_PART__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `TUPLE_LITERAL_PART__TYPE_END_POSITION` The feature id for the 'Type End Position' attribute
`static int` `TUPLE_LITERAL_PART__TYPE_START_POSITION` The feature id for the 'Type Start Position' attribute
`static int` `TUPLE_LITERAL_PART__VALUE` The feature id for the 'Value' containment reference
`static int` `TUPLE_LITERAL_PART_FEATURE_COUNT` The number of structural features of the 'Tuple Literal Part' class
`static int` `TYPE_EXP` The meta object id for the '`Type Exp`' class
`static int` `TYPE_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `TYPE_EXP__REFERRED_TYPE` The feature id for the 'Referred Type' reference
`static int` `TYPE_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `TYPE_EXP_FEATURE_COUNT` The number of structural features of the 'Type Exp' class
`static int` `UNLIMITED_NATURAL_LITERAL_EXP` The meta object id for the '`Unlimited Natural Literal Exp`' class
`static int` `UNLIMITED_NATURAL_LITERAL_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `UNLIMITED_NATURAL_LITERAL_EXP__INTEGER_SYMBOL` The feature id for the 'Integer Symbol' attribute
`static int` `UNLIMITED_NATURAL_LITERAL_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `UNLIMITED_NATURAL_LITERAL_EXP__UNLIMITED` The feature id for the 'Unlimited' attribute
`static int` `UNLIMITED_NATURAL_LITERAL_EXP_FEATURE_COUNT` The number of structural features of the 'Unlimited Natural Literal Exp' class
`static int` `UNSPECIFIED_VALUE_EXP` The meta object id for the '`Unspecified Value Exp`' class
`static int` `UNSPECIFIED_VALUE_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `UNSPECIFIED_VALUE_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `UNSPECIFIED_VALUE_EXP__TYPE_END_POSITION` The feature id for the 'Type End Position' attribute
`static int` `UNSPECIFIED_VALUE_EXP__TYPE_START_POSITION` The feature id for the 'Type Start Position' attribute
`static int` `UNSPECIFIED_VALUE_EXP_FEATURE_COUNT` The number of structural features of the 'Unspecified Value Exp' class
`static int` `VARIABLE` The meta object id for the '`Variable`' class
`static int` `VARIABLE__END_POSITION` The feature id for the 'End Position' attribute
`static int` `VARIABLE__INIT_EXPRESSION` The feature id for the 'Init Expression' containment reference
`static int` `VARIABLE__REPRESENTED_PARAMETER` The feature id for the 'Represented Parameter' reference
`static int` `VARIABLE__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `VARIABLE__TYPE_END_POSITION` The feature id for the 'Type End Position' attribute
`static int` `VARIABLE__TYPE_START_POSITION` The feature id for the 'Type Start Position' attribute
`static int` `VARIABLE_EXP` The meta object id for the '`Variable Exp`' class
`static int` `VARIABLE_EXP__END_POSITION` The feature id for the 'End Position' attribute
`static int` `VARIABLE_EXP__REFERRED_VARIABLE` The feature id for the 'Referred Variable' reference
`static int` `VARIABLE_EXP__START_POSITION` The feature id for the 'Start Position' attribute
`static int` `VARIABLE_EXP_FEATURE_COUNT` The number of structural features of the 'Variable Exp' class
`static int` `VARIABLE_FEATURE_COUNT` The number of structural features of the 'Variable' class

Method Summary
`EReference` `getAssociationClassCallExp_ReferredAssociationClass()` Returns the meta object for the reference '`Referred Association Class`'
`EClass` `getAssociationClassCallExp()` Returns the meta object for class '`Association Class Call Exp`'
`EAttribute` `getBooleanLiteralExp_BooleanSymbol()` Returns the meta object for the attribute '`Boolean Symbol`'
`EClass` `getBooleanLiteralExp()` Returns the meta object for class '`Boolean Literal Exp`'
`EReference` `getCallExp_Source()` Returns the meta object for the containment reference '`Source`'
`EClass` `getCallExp()` Returns the meta object for class '`Call Exp`'
`EReference` `getCollectionItem_Item()` Returns the meta object for the containment reference '`Item`'
`EClass` `getCollectionItem()` Returns the meta object for class '`Collection Item`'
`EEnum` `getCollectionKind()` Returns the meta object for enum '`Collection Kind`'
`EAttribute` `getCollectionLiteralExp_Kind()` Returns the meta object for the attribute '`Kind`'
`EReference` `getCollectionLiteralExp_Part()` Returns the meta object for the containment reference list '`Part`'
`EAttribute` `getCollectionLiteralExp_SimpleRange()` Returns the meta object for the attribute '`Simple Range`'
`EClass` `getCollectionLiteralExp()` Returns the meta object for class '`Collection Literal Exp`'
`EClass` `getCollectionLiteralPart()` Returns the meta object for class '`Collection Literal Part`'
`EReference` `getCollectionRange_First()` Returns the meta object for the containment reference '`First`'
`EReference` `getCollectionRange_Last()` Returns the meta object for the containment reference '`Last`'
`EClass` `getCollectionRange()` Returns the meta object for class '`Collection Range`'
`EReference` `getEnumLiteralExp_ReferredEnumLiteral()` Returns the meta object for the reference '`Referred Enum Literal`'
`EClass` `getEnumLiteralExp()` Returns the meta object for class '`Enum Literal Exp`'
`ExpressionsFactory` `getExpressionsFactory()` Returns the factory that creates the instances of the model
`EAttribute` `getFeatureCallExp_MarkedPre()` Returns the meta object for the attribute '`Marked Pre`'
`EClass` `getFeatureCallExp()` Returns the meta object for class '`Feature Call Exp`'
`EReference` `getIfExp_Condition()` Returns the meta object for the containment reference '`Condition`'
`EReference` `getIfExp_ElseExpression()` Returns the meta object for the containment reference '`Else Expression`'
`EReference` `getIfExp_ThenExpression()` Returns the meta object for the containment reference '`Then Expression`'
`EClass` `getIfExp()` Returns the meta object for class '`If Exp`'
`EAttribute` `getIntegerLiteralExp_IntegerSymbol()` Returns the meta object for the attribute '`Integer Symbol`'
`EClass` `getIntegerLiteralExp()` Returns the meta object for class '`Integer Literal Exp`'
`EClass` `getInvalidLiteralExp()` Returns the meta object for class '`Invalid Literal Exp`'
`EReference` `getIterateExp_Result()` Returns the meta object for the containment reference '`Result`'
`EClass` `getIterateExp()` Returns the meta object for class '`Iterate Exp`'
`EClass` `getIteratorExp()` Returns the meta object for class '`Iterator Exp`'
`EReference` `getLetExp_In()` Returns the meta object for the containment reference '`In`'
`EReference` `getLetExp_Variable()` Returns the meta object for the containment reference '`Variable`'
`EClass` `getLetExp()` Returns the meta object for class '`Let Exp`'
`EClass` `getLiteralExp()` Returns the meta object for class '`Literal Exp`'
`EReference` `getLoopExp_Body()` Returns the meta object for the containment reference '`Body`'
`EReference` `getLoopExp_Iterator()` Returns the meta object for the containment reference list '`Iterator`'
`EClass` `getLoopExp()` Returns the meta object for class '`Loop Exp`'
`EReference` `getMessageExp_Argument()` Returns the meta object for the containment reference list '`Argument`'
`EReference` `getMessageExp_CalledOperation()` Returns the meta object for the containment reference '`Called Operation`'
`EReference` `getMessageExp_SentSignal()` Returns the meta object for the containment reference '`Sent Signal`'
`EReference` `getMessageExp_Target()` Returns the meta object for the containment reference '`Target`'
`EClass` `getMessageExp()` Returns the meta object for class '`Message Exp`'
`EReference` `getNavigationCallExp_NavigationSource()` Returns the meta object for the reference '`Navigation Source`'
`EReference` `getNavigationCallExp_Qualifier()` Returns the meta object for the containment reference list '`Qualifier`'
`EClass` `getNavigationCallExp()` Returns the meta object for class '`Navigation Call Exp`'
`EClass` `getNullLiteralExp()` Returns the meta object for class '`Null Literal Exp`'
`EClass` `getNumericLiteralExp()` Returns the meta object for class '`Numeric Literal Exp`'
`EClass` `getOCLExpression()` Returns the meta object for class '`OCL Expression`'
`EReference` `getOperationCallExp_Argument()` Returns the meta object for the containment reference list '`Argument`'
`EAttribute` `getOperationCallExp_OperationCode()` Returns the meta object for the attribute '`Operation Code`'
`EReference` `getOperationCallExp_ReferredOperation()` Returns the meta object for the reference '`Referred Operation`'
`EClass` `getOperationCallExp()` Returns the meta object for class '`Operation Call Exp`'
`EClass` `getPrimitiveLiteralExp()` Returns the meta object for class '`Primitive Literal Exp`'
`EReference` `getPropertyCallExp_ReferredProperty()` Returns the meta object for the reference '`Referred Property`'
`EClass` `getPropertyCallExp()` Returns the meta object for class '`Property Call Exp`'
`EAttribute` `getRealLiteralExp_RealSymbol()` Returns the meta object for the attribute '`Real Symbol`'
`EClass` `getRealLiteralExp()` Returns the meta object for class '`Real Literal Exp`'
`EReference` `getStateExp_ReferredState()` Returns the meta object for the reference '`Referred State`'
`EClass` `getStateExp()` Returns the meta object for class '`State Exp`'
`EAttribute` `getStringLiteralExp_StringSymbol()` Returns the meta object for the attribute '`String Symbol`'
`EClass` `getStringLiteralExp()` Returns the meta object for class '`String Literal Exp`'
`EReference` `getTupleLiteralExp_Part()` Returns the meta object for the containment reference list '`Part`'
`EClass` `getTupleLiteralExp()` Returns the meta object for class '`Tuple Literal Exp`'
`EReference` `getTupleLiteralPart_Attribute()` Returns the meta object for the reference '`Attribute`'
`EReference` `getTupleLiteralPart_Value()` Returns the meta object for the containment reference '`Value`'
`EClass` `getTupleLiteralPart()` Returns the meta object for class '`Tuple Literal Part`'
`EReference` `getTypeExp_ReferredType()` Returns the meta object for the reference '`Referred Type`'
`EClass` `getTypeExp()` Returns the meta object for class '`Type Exp`'
`EAttribute` `getUnlimitedNaturalLiteralExp_IntegerSymbol()` Returns the meta object for the attribute '`Integer Symbol`'
`EAttribute` `getUnlimitedNaturalLiteralExp_Unlimited()` Returns the meta object for the attribute '`Unlimited`'
`EClass` `getUnlimitedNaturalLiteralExp()` Returns the meta object for class '`Unlimited Natural Literal Exp`'
`EClass` `getUnspecifiedValueExp()` Returns the meta object for class '`Unspecified Value Exp`'
`EReference` `getVariable_InitExpression()` Returns the meta object for the containment reference '`Init Expression`'
`EReference` `getVariable_RepresentedParameter()` Returns the meta object for the reference '`Represented Parameter`'
`EClass` `getVariable()` Returns the meta object for class '`Variable`'
`EReference` `getVariableExp_ReferredVariable()` Returns the meta object for the reference '`Referred Variable`'
`EClass` `getVariableExp()` Returns the meta object for class '`Variable Exp`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final ExpressionsPackage eINSTANCE

  The singleton instance of the package.

### OCL_EXPRESSION

    static final int OCL_EXPRESSION

  The meta object id for the '`OCL Expression`' class.

  See Also:
    `OCLExpressionImpl`, `ExpressionsPackageImpl.getOCLExpression()`, Constant Field Values

### OCL_EXPRESSION__START_POSITION

    static final int OCL_EXPRESSION__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### OCL_EXPRESSION__END_POSITION

    static final int OCL_EXPRESSION__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### OCL_EXPRESSION_FEATURE_COUNT

    static final int OCL_EXPRESSION_FEATURE_COUNT

  The number of structural features of the 'OCL Expression' class.

  See Also:
    Constant Field Values

### CALL_EXP

    static final int CALL_EXP

  The meta object id for the '`Call Exp`' class.

  See Also:
    `CallExpImpl`, `ExpressionsPackageImpl.getCallExp()`, Constant Field Values

### CALL_EXP__START_POSITION

    static final int CALL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### CALL_EXP__END_POSITION

    static final int CALL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### CALL_EXP__PROPERTY_START_POSITION

    static final int CALL_EXP__PROPERTY_START_POSITION

  The feature id for the 'Property Start Position' attribute.

  See Also:
    Constant Field Values

### CALL_EXP__PROPERTY_END_POSITION

    static final int CALL_EXP__PROPERTY_END_POSITION

  The feature id for the 'Property End Position' attribute.

  See Also:
    Constant Field Values

### CALL_EXP__SOURCE

    static final int CALL_EXP__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### CALL_EXP_FEATURE_COUNT

    static final int CALL_EXP_FEATURE_COUNT

  The number of structural features of the 'Call Exp' class.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP

    static final int FEATURE_CALL_EXP

  The meta object id for the '`Feature Call Exp`' class.

  See Also:
    `FeatureCallExpImpl`, `ExpressionsPackageImpl.getFeatureCallExp()`, Constant Field Values

### FEATURE_CALL_EXP__START_POSITION

    static final int FEATURE_CALL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP__END_POSITION

    static final int FEATURE_CALL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP__PROPERTY_START_POSITION

    static final int FEATURE_CALL_EXP__PROPERTY_START_POSITION

  The feature id for the 'Property Start Position' attribute.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP__PROPERTY_END_POSITION

    static final int FEATURE_CALL_EXP__PROPERTY_END_POSITION

  The feature id for the 'Property End Position' attribute.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP__SOURCE

    static final int FEATURE_CALL_EXP__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP__MARKED_PRE

    static final int FEATURE_CALL_EXP__MARKED_PRE

  The feature id for the 'Marked Pre' attribute.

  See Also:
    Constant Field Values

### FEATURE_CALL_EXP_FEATURE_COUNT

    static final int FEATURE_CALL_EXP_FEATURE_COUNT

  The number of structural features of the 'Feature Call Exp' class.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP

    static final int NAVIGATION_CALL_EXP

  The meta object id for the '`Navigation Call Exp`' class.

  See Also:
    `NavigationCallExpImpl`, `ExpressionsPackageImpl.getNavigationCallExp()`, Constant Field Values

### NAVIGATION_CALL_EXP__START_POSITION

    static final int NAVIGATION_CALL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP__END_POSITION

    static final int NAVIGATION_CALL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP__PROPERTY_START_POSITION

    static final int NAVIGATION_CALL_EXP__PROPERTY_START_POSITION

  The feature id for the 'Property Start Position' attribute.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP__PROPERTY_END_POSITION

    static final int NAVIGATION_CALL_EXP__PROPERTY_END_POSITION

  The feature id for the 'Property End Position' attribute.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP__SOURCE

    static final int NAVIGATION_CALL_EXP__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP__MARKED_PRE

    static final int NAVIGATION_CALL_EXP__MARKED_PRE

  The feature id for the 'Marked Pre' attribute.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP__QUALIFIER

    static final int NAVIGATION_CALL_EXP__QUALIFIER

  The feature id for the 'Qualifier' containment reference list.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP__NAVIGATION_SOURCE

    static final int NAVIGATION_CALL_EXP__NAVIGATION_SOURCE

  The feature id for the 'Navigation Source' reference.

  See Also:
    Constant Field Values

### NAVIGATION_CALL_EXP_FEATURE_COUNT

    static final int NAVIGATION_CALL_EXP_FEATURE_COUNT

  The number of structural features of the 'Navigation Call Exp' class.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP

    static final int ASSOCIATION_CLASS_CALL_EXP

  The meta object id for the '`Association Class Call Exp`' class.

  See Also:
    `AssociationClassCallExpImpl`, `ExpressionsPackageImpl.getAssociationClassCallExp()`, Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__START_POSITION

    static final int ASSOCIATION_CLASS_CALL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__END_POSITION

    static final int ASSOCIATION_CLASS_CALL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__PROPERTY_START_POSITION

    static final int ASSOCIATION_CLASS_CALL_EXP__PROPERTY_START_POSITION

  The feature id for the 'Property Start Position' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__PROPERTY_END_POSITION

    static final int ASSOCIATION_CLASS_CALL_EXP__PROPERTY_END_POSITION

  The feature id for the 'Property End Position' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__SOURCE

    static final int ASSOCIATION_CLASS_CALL_EXP__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__MARKED_PRE

    static final int ASSOCIATION_CLASS_CALL_EXP__MARKED_PRE

  The feature id for the 'Marked Pre' attribute.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__QUALIFIER

    static final int ASSOCIATION_CLASS_CALL_EXP__QUALIFIER

  The feature id for the 'Qualifier' containment reference list.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__NAVIGATION_SOURCE

    static final int ASSOCIATION_CLASS_CALL_EXP__NAVIGATION_SOURCE

  The feature id for the 'Navigation Source' reference.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP__REFERRED_ASSOCIATION_CLASS

    static final int ASSOCIATION_CLASS_CALL_EXP__REFERRED_ASSOCIATION_CLASS

  The feature id for the 'Referred Association Class' reference.

  See Also:
    Constant Field Values

### ASSOCIATION_CLASS_CALL_EXP_FEATURE_COUNT

    static final int ASSOCIATION_CLASS_CALL_EXP_FEATURE_COUNT

  The number of structural features of the 'Association Class Call Exp' class.

  See Also:
    Constant Field Values

### LITERAL_EXP

    static final int LITERAL_EXP

  The meta object id for the '`Literal Exp`' class.

  See Also:
    `LiteralExpImpl`, `ExpressionsPackageImpl.getLiteralExp()`, Constant Field Values

### LITERAL_EXP__START_POSITION

    static final int LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### LITERAL_EXP__END_POSITION

    static final int LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### LITERAL_EXP_FEATURE_COUNT

    static final int LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'Literal Exp' class.

  See Also:
    Constant Field Values

### PRIMITIVE_LITERAL_EXP

    static final int PRIMITIVE_LITERAL_EXP

  The meta object id for the '`Primitive Literal Exp`' class.

  See Also:
    `PrimitiveLiteralExpImpl`, `ExpressionsPackageImpl.getPrimitiveLiteralExp()`, Constant Field Values

### PRIMITIVE_LITERAL_EXP__START_POSITION

    static final int PRIMITIVE_LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_LITERAL_EXP__END_POSITION

    static final int PRIMITIVE_LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### PRIMITIVE_LITERAL_EXP_FEATURE_COUNT

    static final int PRIMITIVE_LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'Primitive Literal Exp' class.

  See Also:
    Constant Field Values

### BOOLEAN_LITERAL_EXP

    static final int BOOLEAN_LITERAL_EXP

  The meta object id for the '`Boolean Literal Exp`' class.

  See Also:
    `BooleanLiteralExpImpl`, `ExpressionsPackageImpl.getBooleanLiteralExp()`, Constant Field Values

### BOOLEAN_LITERAL_EXP__START_POSITION

    static final int BOOLEAN_LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### BOOLEAN_LITERAL_EXP__END_POSITION

    static final int BOOLEAN_LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### BOOLEAN_LITERAL_EXP__BOOLEAN_SYMBOL

    static final int BOOLEAN_LITERAL_EXP__BOOLEAN_SYMBOL

  The feature id for the 'Boolean Symbol' attribute.

  See Also:
    Constant Field Values

### BOOLEAN_LITERAL_EXP_FEATURE_COUNT

    static final int BOOLEAN_LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'Boolean Literal Exp' class.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_PART

    static final int COLLECTION_LITERAL_PART

  The meta object id for the '`Collection Literal Part`' class.

  See Also:
    `CollectionLiteralPartImpl`, `ExpressionsPackageImpl.getCollectionLiteralPart()`, Constant Field Values

### COLLECTION_LITERAL_PART_FEATURE_COUNT

    static final int COLLECTION_LITERAL_PART_FEATURE_COUNT

  The number of structural features of the 'Collection Literal Part' class.

  See Also:
    Constant Field Values

### COLLECTION_ITEM

    static final int COLLECTION_ITEM

  The meta object id for the '`Collection Item`' class.

  See Also:
    `CollectionItemImpl`, `ExpressionsPackageImpl.getCollectionItem()`, Constant Field Values

### COLLECTION_ITEM__ITEM

    static final int COLLECTION_ITEM__ITEM

  The feature id for the 'Item' containment reference.

  See Also:
    Constant Field Values

### COLLECTION_ITEM_FEATURE_COUNT

    static final int COLLECTION_ITEM_FEATURE_COUNT

  The number of structural features of the 'Collection Item' class.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP

    static final int COLLECTION_LITERAL_EXP

  The meta object id for the '`Collection Literal Exp`' class.

  See Also:
    `CollectionLiteralExpImpl`, `ExpressionsPackageImpl.getCollectionLiteralExp()`, Constant Field Values

### COLLECTION_LITERAL_EXP__START_POSITION

    static final int COLLECTION_LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP__END_POSITION

    static final int COLLECTION_LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP__KIND

    static final int COLLECTION_LITERAL_EXP__KIND

  The feature id for the 'Kind' attribute.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP__PART

    static final int COLLECTION_LITERAL_EXP__PART

  The feature id for the 'Part' containment reference list.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP__SIMPLE_RANGE

    static final int COLLECTION_LITERAL_EXP__SIMPLE_RANGE

  The feature id for the 'Simple Range' attribute.

  See Also:
    Constant Field Values

### COLLECTION_LITERAL_EXP_FEATURE_COUNT

    static final int COLLECTION_LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'Collection Literal Exp' class.

  See Also:
    Constant Field Values

### COLLECTION_RANGE

    static final int COLLECTION_RANGE

  The meta object id for the '`Collection Range`' class.

  See Also:
    `CollectionRangeImpl`, `ExpressionsPackageImpl.getCollectionRange()`, Constant Field Values

### COLLECTION_RANGE__FIRST

    static final int COLLECTION_RANGE__FIRST

  The feature id for the 'First' containment reference.

  See Also:
    Constant Field Values

### COLLECTION_RANGE__LAST

    static final int COLLECTION_RANGE__LAST

  The feature id for the 'Last' containment reference.

  See Also:
    Constant Field Values

### COLLECTION_RANGE_FEATURE_COUNT

    static final int COLLECTION_RANGE_FEATURE_COUNT

  The number of structural features of the 'Collection Range' class.

  See Also:
    Constant Field Values

### ENUM_LITERAL_EXP

    static final int ENUM_LITERAL_EXP

  The meta object id for the '`Enum Literal Exp`' class.

  See Also:
    `EnumLiteralExpImpl`, `ExpressionsPackageImpl.getEnumLiteralExp()`, Constant Field Values

### ENUM_LITERAL_EXP__START_POSITION

    static final int ENUM_LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### ENUM_LITERAL_EXP__END_POSITION

    static final int ENUM_LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### ENUM_LITERAL_EXP__REFERRED_ENUM_LITERAL

    static final int ENUM_LITERAL_EXP__REFERRED_ENUM_LITERAL

  The feature id for the 'Referred Enum Literal' reference.

  See Also:
    Constant Field Values

### ENUM_LITERAL_EXP_FEATURE_COUNT

    static final int ENUM_LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'Enum Literal Exp' class.

  See Also:
    Constant Field Values

### IF_EXP

    static final int IF_EXP

  The meta object id for the '`If Exp`' class.

  See Also:
    `IfExpImpl`, `ExpressionsPackageImpl.getIfExp()`, Constant Field Values

### IF_EXP__START_POSITION

    static final int IF_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### IF_EXP__END_POSITION

    static final int IF_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### IF_EXP__CONDITION

    static final int IF_EXP__CONDITION

  The feature id for the 'Condition' containment reference.

  See Also:
    Constant Field Values

### IF_EXP__THEN_EXPRESSION

    static final int IF_EXP__THEN_EXPRESSION

  The feature id for the 'Then Expression' containment reference.

  See Also:
    Constant Field Values

### IF_EXP__ELSE_EXPRESSION

    static final int IF_EXP__ELSE_EXPRESSION

  The feature id for the 'Else Expression' containment reference.

  See Also:
    Constant Field Values

### IF_EXP_FEATURE_COUNT

    static final int IF_EXP_FEATURE_COUNT

  The number of structural features of the 'If Exp' class.

  See Also:
    Constant Field Values

### NUMERIC_LITERAL_EXP

    static final int NUMERIC_LITERAL_EXP

  The meta object id for the '`Numeric Literal Exp`' class.

  See Also:
    `NumericLiteralExpImpl`, `ExpressionsPackageImpl.getNumericLiteralExp()`, Constant Field Values

### NUMERIC_LITERAL_EXP__START_POSITION

    static final int NUMERIC_LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### NUMERIC_LITERAL_EXP__END_POSITION

    static final int NUMERIC_LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### NUMERIC_LITERAL_EXP_FEATURE_COUNT

    static final int NUMERIC_LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'Numeric Literal Exp' class.

  See Also:
    Constant Field Values

### INTEGER_LITERAL_EXP

    static final int INTEGER_LITERAL_EXP

  The meta object id for the '`Integer Literal Exp`' class.

  See Also:
    `IntegerLiteralExpImpl`, `ExpressionsPackageImpl.getIntegerLiteralExp()`, Constant Field Values

### INTEGER_LITERAL_EXP__START_POSITION

    static final int INTEGER_LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### INTEGER_LITERAL_EXP__END_POSITION

    static final int INTEGER_LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### INTEGER_LITERAL_EXP__INTEGER_SYMBOL

    static final int INTEGER_LITERAL_EXP__INTEGER_SYMBOL

  The feature id for the 'Integer Symbol' attribute.

  See Also:
    Constant Field Values

### INTEGER_LITERAL_EXP_FEATURE_COUNT

    static final int INTEGER_LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'Integer Literal Exp' class.

  See Also:
    Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP

    static final int UNLIMITED_NATURAL_LITERAL_EXP

  The meta object id for the '`Unlimited Natural Literal Exp`' class.

  See Also:
    `UnlimitedNaturalLiteralExpImpl`, `ExpressionsPackageImpl.getUnlimitedNaturalLiteralExp()`, Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP__START_POSITION

    static final int UNLIMITED_NATURAL_LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP__END_POSITION

    static final int UNLIMITED_NATURAL_LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP__INTEGER_SYMBOL

    static final int UNLIMITED_NATURAL_LITERAL_EXP__INTEGER_SYMBOL

  The feature id for the 'Integer Symbol' attribute.

  See Also:
    Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP__UNLIMITED

    static final int UNLIMITED_NATURAL_LITERAL_EXP__UNLIMITED

  The feature id for the 'Unlimited' attribute.

  See Also:
    Constant Field Values

### UNLIMITED_NATURAL_LITERAL_EXP_FEATURE_COUNT

    static final int UNLIMITED_NATURAL_LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'Unlimited Natural Literal Exp' class.

  See Also:
    Constant Field Values

### INVALID_LITERAL_EXP

    static final int INVALID_LITERAL_EXP

  The meta object id for the '`Invalid Literal Exp`' class.

  See Also:
    `InvalidLiteralExpImpl`, `ExpressionsPackageImpl.getInvalidLiteralExp()`, Constant Field Values

### INVALID_LITERAL_EXP__START_POSITION

    static final int INVALID_LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### INVALID_LITERAL_EXP__END_POSITION

    static final int INVALID_LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### INVALID_LITERAL_EXP_FEATURE_COUNT

    static final int INVALID_LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'Invalid Literal Exp' class.

  See Also:
    Constant Field Values

### LOOP_EXP

    static final int LOOP_EXP

  The meta object id for the '`Loop Exp`' class.

  See Also:
    `LoopExpImpl`, `ExpressionsPackageImpl.getLoopExp()`, Constant Field Values

### LOOP_EXP__START_POSITION

    static final int LOOP_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### LOOP_EXP__END_POSITION

    static final int LOOP_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### LOOP_EXP__PROPERTY_START_POSITION

    static final int LOOP_EXP__PROPERTY_START_POSITION

  The feature id for the 'Property Start Position' attribute.

  See Also:
    Constant Field Values

### LOOP_EXP__PROPERTY_END_POSITION

    static final int LOOP_EXP__PROPERTY_END_POSITION

  The feature id for the 'Property End Position' attribute.

  See Also:
    Constant Field Values

### LOOP_EXP__SOURCE

    static final int LOOP_EXP__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### LOOP_EXP__BODY

    static final int LOOP_EXP__BODY

  The feature id for the 'Body' containment reference.

  See Also:
    Constant Field Values

### LOOP_EXP__ITERATOR

    static final int LOOP_EXP__ITERATOR

  The feature id for the 'Iterator' containment reference list.

  See Also:
    Constant Field Values

### LOOP_EXP_FEATURE_COUNT

    static final int LOOP_EXP_FEATURE_COUNT

  The number of structural features of the 'Loop Exp' class.

  See Also:
    Constant Field Values

### ITERATE_EXP

    static final int ITERATE_EXP

  The meta object id for the '`Iterate Exp`' class.

  See Also:
    `IterateExpImpl`, `ExpressionsPackageImpl.getIterateExp()`, Constant Field Values

### ITERATE_EXP__START_POSITION

    static final int ITERATE_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### ITERATE_EXP__END_POSITION

    static final int ITERATE_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### ITERATE_EXP__PROPERTY_START_POSITION

    static final int ITERATE_EXP__PROPERTY_START_POSITION

  The feature id for the 'Property Start Position' attribute.

  See Also:
    Constant Field Values

### ITERATE_EXP__PROPERTY_END_POSITION

    static final int ITERATE_EXP__PROPERTY_END_POSITION

  The feature id for the 'Property End Position' attribute.

  See Also:
    Constant Field Values

### ITERATE_EXP__SOURCE

    static final int ITERATE_EXP__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### ITERATE_EXP__BODY

    static final int ITERATE_EXP__BODY

  The feature id for the 'Body' containment reference.

  See Also:
    Constant Field Values

### ITERATE_EXP__ITERATOR

    static final int ITERATE_EXP__ITERATOR

  The feature id for the 'Iterator' containment reference list.

  See Also:
    Constant Field Values

### ITERATE_EXP__RESULT

    static final int ITERATE_EXP__RESULT

  The feature id for the 'Result' containment reference.

  See Also:
    Constant Field Values

### ITERATE_EXP_FEATURE_COUNT

    static final int ITERATE_EXP_FEATURE_COUNT

  The number of structural features of the 'Iterate Exp' class.

  See Also:
    Constant Field Values

### ITERATOR_EXP

    static final int ITERATOR_EXP

  The meta object id for the '`Iterator Exp`' class.

  See Also:
    `IteratorExpImpl`, `ExpressionsPackageImpl.getIteratorExp()`, Constant Field Values

### LET_EXP

    static final int LET_EXP

  The meta object id for the '`Let Exp`' class.

  See Also:
    `LetExpImpl`, `ExpressionsPackageImpl.getLetExp()`, Constant Field Values

### MESSAGE_EXP

    static final int MESSAGE_EXP

  The meta object id for the '`Message Exp`' class.

  See Also:
    `MessageExpImpl`, `ExpressionsPackageImpl.getMessageExp()`, Constant Field Values

### NULL_LITERAL_EXP

    static final int NULL_LITERAL_EXP

  The meta object id for the '`Null Literal Exp`' class.

  See Also:
    `NullLiteralExpImpl`, `ExpressionsPackageImpl.getNullLiteralExp()`, Constant Field Values

### OPERATION_CALL_EXP

    static final int OPERATION_CALL_EXP

  The meta object id for the '`Operation Call Exp`' class.

  See Also:
    `OperationCallExpImpl`, `ExpressionsPackageImpl.getOperationCallExp()`, Constant Field Values

### PROPERTY_CALL_EXP

    static final int PROPERTY_CALL_EXP

  The meta object id for the '`Property Call Exp`' class.

  See Also:
    `PropertyCallExpImpl`, `ExpressionsPackageImpl.getPropertyCallExp()`, Constant Field Values

### REAL_LITERAL_EXP

    static final int REAL_LITERAL_EXP

  The meta object id for the '`Real Literal Exp`' class.

  See Also:
    `RealLiteralExpImpl`, `ExpressionsPackageImpl.getRealLiteralExp()`, Constant Field Values

### STATE_EXP

    static final int STATE_EXP

  The meta object id for the '`State Exp`' class.

  See Also:
    `StateExpImpl`, `ExpressionsPackageImpl.getStateExp()`, Constant Field Values

### STRING_LITERAL_EXP

    static final int STRING_LITERAL_EXP

  The meta object id for the '`String Literal Exp`' class.

  See Also:
    `StringLiteralExpImpl`, `ExpressionsPackageImpl.getStringLiteralExp()`, Constant Field Values

### TUPLE_LITERAL_EXP

    static final int TUPLE_LITERAL_EXP

  The meta object id for the '`Tuple Literal Exp`' class.

  See Also:
    `TupleLiteralExpImpl`, `ExpressionsPackageImpl.getTupleLiteralExp()`, Constant Field Values

### TUPLE_LITERAL_PART

    static final int TUPLE_LITERAL_PART

  The meta object id for the '`Tuple Literal Part`' class.

  See Also:
    `TupleLiteralPartImpl`, `ExpressionsPackageImpl.getTupleLiteralPart()`, Constant Field Values

### TYPE_EXP

    static final int TYPE_EXP

  The meta object id for the '`Type Exp`' class.

  See Also:
    `TypeExpImpl`, `ExpressionsPackageImpl.getTypeExp()`, Constant Field Values

### UNSPECIFIED_VALUE_EXP

    static final int UNSPECIFIED_VALUE_EXP

  The meta object id for the '`Unspecified Value Exp`' class.

  See Also:
    `UnspecifiedValueExpImpl`, `ExpressionsPackageImpl.getUnspecifiedValueExp()`, Constant Field Values

### VARIABLE

    static final int VARIABLE

  The meta object id for the '`Variable`' class.

  See Also:
    `VariableImpl`, `ExpressionsPackageImpl.getVariable()`, Constant Field Values

### VARIABLE__START_POSITION

    static final int VARIABLE__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### VARIABLE__END_POSITION

    static final int VARIABLE__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### VARIABLE__TYPE_START_POSITION

    static final int VARIABLE__TYPE_START_POSITION

  The feature id for the 'Type Start Position' attribute.

  See Also:
    Constant Field Values

### VARIABLE__TYPE_END_POSITION

    static final int VARIABLE__TYPE_END_POSITION

  The feature id for the 'Type End Position' attribute.

  See Also:
    Constant Field Values

### VARIABLE__INIT_EXPRESSION

    static final int VARIABLE__INIT_EXPRESSION

  The feature id for the 'Init Expression' containment reference.

  See Also:
    Constant Field Values

### VARIABLE__REPRESENTED_PARAMETER

    static final int VARIABLE__REPRESENTED_PARAMETER

  The feature id for the 'Represented Parameter' reference.

  See Also:
    Constant Field Values

### VARIABLE_FEATURE_COUNT

    static final int VARIABLE_FEATURE_COUNT

  The number of structural features of the 'Variable' class.

  See Also:
    Constant Field Values

### ITERATOR_EXP__START_POSITION

    static final int ITERATOR_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### ITERATOR_EXP__END_POSITION

    static final int ITERATOR_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### ITERATOR_EXP__PROPERTY_START_POSITION

    static final int ITERATOR_EXP__PROPERTY_START_POSITION

  The feature id for the 'Property Start Position' attribute.

  See Also:
    Constant Field Values

### ITERATOR_EXP__PROPERTY_END_POSITION

    static final int ITERATOR_EXP__PROPERTY_END_POSITION

  The feature id for the 'Property End Position' attribute.

  See Also:
    Constant Field Values

### ITERATOR_EXP__SOURCE

    static final int ITERATOR_EXP__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### ITERATOR_EXP__BODY

    static final int ITERATOR_EXP__BODY

  The feature id for the 'Body' containment reference.

  See Also:
    Constant Field Values

### ITERATOR_EXP__ITERATOR

    static final int ITERATOR_EXP__ITERATOR

  The feature id for the 'Iterator' containment reference list.

  See Also:
    Constant Field Values

### ITERATOR_EXP_FEATURE_COUNT

    static final int ITERATOR_EXP_FEATURE_COUNT

  The number of structural features of the 'Iterator Exp' class.

  See Also:
    Constant Field Values

### LET_EXP__START_POSITION

    static final int LET_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### LET_EXP__END_POSITION

    static final int LET_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### LET_EXP__IN

    static final int LET_EXP__IN

  The feature id for the 'In' containment reference.

  See Also:
    Constant Field Values

### LET_EXP__VARIABLE

    static final int LET_EXP__VARIABLE

  The feature id for the 'Variable' containment reference.

  See Also:
    Constant Field Values

### LET_EXP_FEATURE_COUNT

    static final int LET_EXP_FEATURE_COUNT

  The number of structural features of the 'Let Exp' class.

  See Also:
    Constant Field Values

### MESSAGE_EXP__START_POSITION

    static final int MESSAGE_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### MESSAGE_EXP__END_POSITION

    static final int MESSAGE_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### MESSAGE_EXP__PROPERTY_START_POSITION

    static final int MESSAGE_EXP__PROPERTY_START_POSITION

  The feature id for the 'Property Start Position' attribute.

  See Also:
    Constant Field Values

### MESSAGE_EXP__PROPERTY_END_POSITION

    static final int MESSAGE_EXP__PROPERTY_END_POSITION

  The feature id for the 'Property End Position' attribute.

  See Also:
    Constant Field Values

### MESSAGE_EXP__TARGET

    static final int MESSAGE_EXP__TARGET

  The feature id for the 'Target' containment reference.

  See Also:
    Constant Field Values

### MESSAGE_EXP__ARGUMENT

    static final int MESSAGE_EXP__ARGUMENT

  The feature id for the 'Argument' containment reference list.

  See Also:
    Constant Field Values

### MESSAGE_EXP__CALLED_OPERATION

    static final int MESSAGE_EXP__CALLED_OPERATION

  The feature id for the 'Called Operation' containment reference.

  See Also:
    Constant Field Values

### MESSAGE_EXP__SENT_SIGNAL

    static final int MESSAGE_EXP__SENT_SIGNAL

  The feature id for the 'Sent Signal' containment reference.

  See Also:
    Constant Field Values

### MESSAGE_EXP_FEATURE_COUNT

    static final int MESSAGE_EXP_FEATURE_COUNT

  The number of structural features of the 'Message Exp' class.

  See Also:
    Constant Field Values

### NULL_LITERAL_EXP__START_POSITION

    static final int NULL_LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### NULL_LITERAL_EXP__END_POSITION

    static final int NULL_LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### NULL_LITERAL_EXP_FEATURE_COUNT

    static final int NULL_LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'Null Literal Exp' class.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__START_POSITION

    static final int OPERATION_CALL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__END_POSITION

    static final int OPERATION_CALL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__PROPERTY_START_POSITION

    static final int OPERATION_CALL_EXP__PROPERTY_START_POSITION

  The feature id for the 'Property Start Position' attribute.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__PROPERTY_END_POSITION

    static final int OPERATION_CALL_EXP__PROPERTY_END_POSITION

  The feature id for the 'Property End Position' attribute.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__SOURCE

    static final int OPERATION_CALL_EXP__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__MARKED_PRE

    static final int OPERATION_CALL_EXP__MARKED_PRE

  The feature id for the 'Marked Pre' attribute.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__ARGUMENT

    static final int OPERATION_CALL_EXP__ARGUMENT

  The feature id for the 'Argument' containment reference list.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__REFERRED_OPERATION

    static final int OPERATION_CALL_EXP__REFERRED_OPERATION

  The feature id for the 'Referred Operation' reference.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP__OPERATION_CODE

    static final int OPERATION_CALL_EXP__OPERATION_CODE

  The feature id for the 'Operation Code' attribute.

  See Also:
    Constant Field Values

### OPERATION_CALL_EXP_FEATURE_COUNT

    static final int OPERATION_CALL_EXP_FEATURE_COUNT

  The number of structural features of the 'Operation Call Exp' class.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__START_POSITION

    static final int PROPERTY_CALL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__END_POSITION

    static final int PROPERTY_CALL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__PROPERTY_START_POSITION

    static final int PROPERTY_CALL_EXP__PROPERTY_START_POSITION

  The feature id for the 'Property Start Position' attribute.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__PROPERTY_END_POSITION

    static final int PROPERTY_CALL_EXP__PROPERTY_END_POSITION

  The feature id for the 'Property End Position' attribute.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__SOURCE

    static final int PROPERTY_CALL_EXP__SOURCE

  The feature id for the 'Source' containment reference.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__MARKED_PRE

    static final int PROPERTY_CALL_EXP__MARKED_PRE

  The feature id for the 'Marked Pre' attribute.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__QUALIFIER

    static final int PROPERTY_CALL_EXP__QUALIFIER

  The feature id for the 'Qualifier' containment reference list.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__NAVIGATION_SOURCE

    static final int PROPERTY_CALL_EXP__NAVIGATION_SOURCE

  The feature id for the 'Navigation Source' reference.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP__REFERRED_PROPERTY

    static final int PROPERTY_CALL_EXP__REFERRED_PROPERTY

  The feature id for the 'Referred Property' reference.

  See Also:
    Constant Field Values

### PROPERTY_CALL_EXP_FEATURE_COUNT

    static final int PROPERTY_CALL_EXP_FEATURE_COUNT

  The number of structural features of the 'Property Call Exp' class.

  See Also:
    Constant Field Values

### REAL_LITERAL_EXP__START_POSITION

    static final int REAL_LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### REAL_LITERAL_EXP__END_POSITION

    static final int REAL_LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### REAL_LITERAL_EXP__REAL_SYMBOL

    static final int REAL_LITERAL_EXP__REAL_SYMBOL

  The feature id for the 'Real Symbol' attribute.

  See Also:
    Constant Field Values

### REAL_LITERAL_EXP_FEATURE_COUNT

    static final int REAL_LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'Real Literal Exp' class.

  See Also:
    Constant Field Values

### STATE_EXP__START_POSITION

    static final int STATE_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### STATE_EXP__END_POSITION

    static final int STATE_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### STATE_EXP__REFERRED_STATE

    static final int STATE_EXP__REFERRED_STATE

  The feature id for the 'Referred State' reference.

  See Also:
    Constant Field Values

### STATE_EXP_FEATURE_COUNT

    static final int STATE_EXP_FEATURE_COUNT

  The number of structural features of the 'State Exp' class.

  See Also:
    Constant Field Values

### STRING_LITERAL_EXP__START_POSITION

    static final int STRING_LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### STRING_LITERAL_EXP__END_POSITION

    static final int STRING_LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### STRING_LITERAL_EXP__STRING_SYMBOL

    static final int STRING_LITERAL_EXP__STRING_SYMBOL

  The feature id for the 'String Symbol' attribute.

  See Also:
    Constant Field Values

### STRING_LITERAL_EXP_FEATURE_COUNT

    static final int STRING_LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'String Literal Exp' class.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_EXP__START_POSITION

    static final int TUPLE_LITERAL_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_EXP__END_POSITION

    static final int TUPLE_LITERAL_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_EXP__PART

    static final int TUPLE_LITERAL_EXP__PART

  The feature id for the 'Part' containment reference list.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_EXP_FEATURE_COUNT

    static final int TUPLE_LITERAL_EXP_FEATURE_COUNT

  The number of structural features of the 'Tuple Literal Exp' class.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_PART__START_POSITION

    static final int TUPLE_LITERAL_PART__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_PART__END_POSITION

    static final int TUPLE_LITERAL_PART__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_PART__TYPE_START_POSITION

    static final int TUPLE_LITERAL_PART__TYPE_START_POSITION

  The feature id for the 'Type Start Position' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_PART__TYPE_END_POSITION

    static final int TUPLE_LITERAL_PART__TYPE_END_POSITION

  The feature id for the 'Type End Position' attribute.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_PART__VALUE

    static final int TUPLE_LITERAL_PART__VALUE

  The feature id for the 'Value' containment reference.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_PART__ATTRIBUTE

    static final int TUPLE_LITERAL_PART__ATTRIBUTE

  The feature id for the 'Attribute' reference.

  See Also:
    Constant Field Values

### TUPLE_LITERAL_PART_FEATURE_COUNT

    static final int TUPLE_LITERAL_PART_FEATURE_COUNT

  The number of structural features of the 'Tuple Literal Part' class.

  See Also:
    Constant Field Values

### TYPE_EXP__START_POSITION

    static final int TYPE_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### TYPE_EXP__END_POSITION

    static final int TYPE_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### TYPE_EXP__REFERRED_TYPE

    static final int TYPE_EXP__REFERRED_TYPE

  The feature id for the 'Referred Type' reference.

  See Also:
    Constant Field Values

### TYPE_EXP_FEATURE_COUNT

    static final int TYPE_EXP_FEATURE_COUNT

  The number of structural features of the 'Type Exp' class.

  See Also:
    Constant Field Values

### UNSPECIFIED_VALUE_EXP__START_POSITION

    static final int UNSPECIFIED_VALUE_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### UNSPECIFIED_VALUE_EXP__END_POSITION

    static final int UNSPECIFIED_VALUE_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### UNSPECIFIED_VALUE_EXP__TYPE_START_POSITION

    static final int UNSPECIFIED_VALUE_EXP__TYPE_START_POSITION

  The feature id for the 'Type Start Position' attribute.

  See Also:
    Constant Field Values

### UNSPECIFIED_VALUE_EXP__TYPE_END_POSITION

    static final int UNSPECIFIED_VALUE_EXP__TYPE_END_POSITION

  The feature id for the 'Type End Position' attribute.

  See Also:
    Constant Field Values

### UNSPECIFIED_VALUE_EXP_FEATURE_COUNT

    static final int UNSPECIFIED_VALUE_EXP_FEATURE_COUNT

  The number of structural features of the 'Unspecified Value Exp' class.

  See Also:
    Constant Field Values

### VARIABLE_EXP

    static final int VARIABLE_EXP

  The meta object id for the '`Variable Exp`' class.

  See Also:
    `VariableExpImpl`, `ExpressionsPackageImpl.getVariableExp()`, Constant Field Values

### VARIABLE_EXP__START_POSITION

    static final int VARIABLE_EXP__START_POSITION

  The feature id for the 'Start Position' attribute.

  See Also:
    Constant Field Values

### VARIABLE_EXP__END_POSITION

    static final int VARIABLE_EXP__END_POSITION

  The feature id for the 'End Position' attribute.

  See Also:
    Constant Field Values

### VARIABLE_EXP__REFERRED_VARIABLE

    static final int VARIABLE_EXP__REFERRED_VARIABLE

  The feature id for the 'Referred Variable' reference.

  See Also:
    Constant Field Values

### VARIABLE_EXP_FEATURE_COUNT

    static final int VARIABLE_EXP_FEATURE_COUNT

  The number of structural features of the 'Variable Exp' class.

  See Also:
    Constant Field Values

### COLLECTION_KIND

    static final int COLLECTION_KIND

  The meta object id for the '`Collection Kind`' enum.

  See Also:
    `CollectionKind`, `ExpressionsPackageImpl.getCollectionKind()`, Constant Field Values

Method Detail

### getAssociationClassCallExp

    EClass getAssociationClassCallExp()

  Returns the meta object for class '`Association Class Call Exp`'.

  Returns:
    the meta object for class 'Association Class Call Exp'.
  See Also:
    `AssociationClassCallExp`

### getAssociationClassCallExp_ReferredAssociationClass

    EReference getAssociationClassCallExp_ReferredAssociationClass()

  Returns the meta object for the reference '`Referred Association Class`'.

  Returns:
    the meta object for the reference 'Referred Association Class'.
  See Also:
    `AssociationClassCallExp.getReferredAssociationClass()`, `getAssociationClassCallExp()`

### getBooleanLiteralExp

    EClass getBooleanLiteralExp()

  Returns the meta object for class '`Boolean Literal Exp`'.

  Returns:
    the meta object for class 'Boolean Literal Exp'.
  See Also:
    `BooleanLiteralExp`

### getBooleanLiteralExp_BooleanSymbol

    EAttribute getBooleanLiteralExp_BooleanSymbol()

  Returns the meta object for the attribute '`Boolean Symbol`'.

  Returns:
    the meta object for the attribute 'Boolean Symbol'.
  See Also:
    `BooleanLiteralExp.getBooleanSymbol()`, `getBooleanLiteralExp()`

### getCallExp

    EClass getCallExp()

  Returns the meta object for class '`Call Exp`'.

  Returns:
    the meta object for class 'Call Exp'.
  See Also:
    `CallExp`

### getCallExp_Source

    EReference getCallExp_Source()

  Returns the meta object for the containment reference '`Source`'.

  Returns:
    the meta object for the containment reference 'Source'.
  See Also:
    `CallExp.getSource()`, `getCallExp()`

### getCollectionItem

    EClass getCollectionItem()

  Returns the meta object for class '`Collection Item`'.

  Returns:
    the meta object for class 'Collection Item'.
  See Also:
    `CollectionItem`

### getCollectionItem_Item

    EReference getCollectionItem_Item()

  Returns the meta object for the containment reference '`Item`'.

  Returns:
    the meta object for the containment reference 'Item'.
  See Also:
    `CollectionItem.getItem()`, `getCollectionItem()`

### getCollectionLiteralExp

    EClass getCollectionLiteralExp()

  Returns the meta object for class '`Collection Literal Exp`'.

  Returns:
    the meta object for class 'Collection Literal Exp'.
  See Also:
    `CollectionLiteralExp`

### getCollectionLiteralExp_Kind

    EAttribute getCollectionLiteralExp_Kind()

  Returns the meta object for the attribute '`Kind`'.

  Returns:
    the meta object for the attribute 'Kind'.
  See Also:
    `CollectionLiteralExp.getKind()`, `getCollectionLiteralExp()`

### getCollectionLiteralExp_Part

    EReference getCollectionLiteralExp_Part()

  Returns the meta object for the containment reference list '`Part`'.

  Returns:
    the meta object for the containment reference list 'Part'.
  See Also:
    `CollectionLiteralExp.getPart()`, `getCollectionLiteralExp()`

### getCollectionLiteralExp_SimpleRange

    EAttribute getCollectionLiteralExp_SimpleRange()

  Returns the meta object for the attribute '`Simple Range`'.

  Returns:
    the meta object for the attribute 'Simple Range'.
  See Also:
    `CollectionLiteralExp.isSimpleRange()`, `getCollectionLiteralExp()`

### getCollectionLiteralPart

    EClass getCollectionLiteralPart()

  Returns the meta object for class '`Collection Literal Part`'.

  Returns:
    the meta object for class 'Collection Literal Part'.
  See Also:
    `CollectionLiteralPart`

### getCollectionRange

    EClass getCollectionRange()

  Returns the meta object for class '`Collection Range`'.

  Returns:
    the meta object for class 'Collection Range'.
  See Also:
    `CollectionRange`

### getCollectionRange_First

    EReference getCollectionRange_First()

  Returns the meta object for the containment reference '`First`'.

  Returns:
    the meta object for the containment reference 'First'.
  See Also:
    `CollectionRange.getFirst()`, `getCollectionRange()`

### getCollectionRange_Last

    EReference getCollectionRange_Last()

  Returns the meta object for the containment reference '`Last`'.

  Returns:
    the meta object for the containment reference 'Last'.
  See Also:
    `CollectionRange.getLast()`, `getCollectionRange()`

### getEnumLiteralExp

    EClass getEnumLiteralExp()

  Returns the meta object for class '`Enum Literal Exp`'.

  Returns:
    the meta object for class 'Enum Literal Exp'.
  See Also:
    `EnumLiteralExp`

### getEnumLiteralExp_ReferredEnumLiteral

    EReference getEnumLiteralExp_ReferredEnumLiteral()

  Returns the meta object for the reference '`Referred Enum Literal`'.

  Returns:
    the meta object for the reference 'Referred Enum Literal'.
  See Also:
    `EnumLiteralExp.getReferredEnumLiteral()`, `getEnumLiteralExp()`

### getFeatureCallExp

    EClass getFeatureCallExp()

  Returns the meta object for class '`Feature Call Exp`'.

  Returns:
    the meta object for class 'Feature Call Exp'.
  See Also:
    `FeatureCallExp`

### getFeatureCallExp_MarkedPre

    EAttribute getFeatureCallExp_MarkedPre()

  Returns the meta object for the attribute '`Marked Pre`'.

  Returns:
    the meta object for the attribute 'Marked Pre'.
  See Also:
    `FeatureCallExp.isMarkedPre()`, `getFeatureCallExp()`

### getIfExp

    EClass getIfExp()

  Returns the meta object for class '`If Exp`'.

  Returns:
    the meta object for class 'If Exp'.
  See Also:
    `IfExp`

### getIfExp_Condition

    EReference getIfExp_Condition()

  Returns the meta object for the containment reference '`Condition`'.

  Returns:
    the meta object for the containment reference 'Condition'.
  See Also:
    `IfExp.getCondition()`, `getIfExp()`

### getIfExp_ThenExpression

    EReference getIfExp_ThenExpression()

  Returns the meta object for the containment reference '`Then Expression`'.

  Returns:
    the meta object for the containment reference 'Then Expression'.
  See Also:
    `IfExp.getThenExpression()`, `getIfExp()`

### getIfExp_ElseExpression

    EReference getIfExp_ElseExpression()

  Returns the meta object for the containment reference '`Else Expression`'.

  Returns:
    the meta object for the containment reference 'Else Expression'.
  See Also:
    `IfExp.getElseExpression()`, `getIfExp()`

### getIntegerLiteralExp

    EClass getIntegerLiteralExp()

  Returns the meta object for class '`Integer Literal Exp`'.

  Returns:
    the meta object for class 'Integer Literal Exp'.
  See Also:
    `IntegerLiteralExp`

### getIntegerLiteralExp_IntegerSymbol

    EAttribute getIntegerLiteralExp_IntegerSymbol()

  Returns the meta object for the attribute '`Integer Symbol`'.

  Returns:
    the meta object for the attribute 'Integer Symbol'.
  See Also:
    `IntegerLiteralExp.getIntegerSymbol()`, `getIntegerLiteralExp()`

### getUnlimitedNaturalLiteralExp

    EClass getUnlimitedNaturalLiteralExp()

  Returns the meta object for class '`Unlimited Natural Literal Exp`'.

  Returns:
    the meta object for class 'Unlimited Natural Literal Exp'.
  See Also:
    `UnlimitedNaturalLiteralExp`

### getUnlimitedNaturalLiteralExp_IntegerSymbol

    EAttribute getUnlimitedNaturalLiteralExp_IntegerSymbol()

  Returns the meta object for the attribute '`Integer Symbol`'.

  Returns:
    the meta object for the attribute 'Integer Symbol'.
  See Also:
    `UnlimitedNaturalLiteralExp.getIntegerSymbol()`, `getUnlimitedNaturalLiteralExp()`

### getUnlimitedNaturalLiteralExp_Unlimited

    EAttribute getUnlimitedNaturalLiteralExp_Unlimited()

  Returns the meta object for the attribute '`Unlimited`'.

  Returns:
    the meta object for the attribute 'Unlimited'.
  See Also:
    `UnlimitedNaturalLiteralExp.isUnlimited()`, `getUnlimitedNaturalLiteralExp()`

### getInvalidLiteralExp

    EClass getInvalidLiteralExp()

  Returns the meta object for class '`Invalid Literal Exp`'.

  Returns:
    the meta object for class 'Invalid Literal Exp'.
  See Also:
    `InvalidLiteralExp`

### getIterateExp

    EClass getIterateExp()

  Returns the meta object for class '`Iterate Exp`'.

  Returns:
    the meta object for class 'Iterate Exp'.
  See Also:
    `IterateExp`

### getIterateExp_Result

    EReference getIterateExp_Result()

  Returns the meta object for the containment reference '`Result`'.

  Returns:
    the meta object for the containment reference 'Result'.
  See Also:
    `IterateExp.getResult()`, `getIterateExp()`

### getIteratorExp

    EClass getIteratorExp()

  Returns the meta object for class '`Iterator Exp`'.

  Returns:
    the meta object for class 'Iterator Exp'.
  See Also:
    `IteratorExp`

### getLetExp

    EClass getLetExp()

  Returns the meta object for class '`Let Exp`'.

  Returns:
    the meta object for class 'Let Exp'.
  See Also:
    `LetExp`

### getLetExp_In

    EReference getLetExp_In()

  Returns the meta object for the containment reference '`In`'.

  Returns:
    the meta object for the containment reference 'In'.
  See Also:
    `LetExp.getIn()`, `getLetExp()`

### getLetExp_Variable

    EReference getLetExp_Variable()

  Returns the meta object for the containment reference '`Variable`'.

  Returns:
    the meta object for the containment reference 'Variable'.
  See Also:
    `LetExp.getVariable()`, `getLetExp()`

### getLiteralExp

    EClass getLiteralExp()

  Returns the meta object for class '`Literal Exp`'.

  Returns:
    the meta object for class 'Literal Exp'.
  See Also:
    `LiteralExp`

### getLoopExp

    EClass getLoopExp()

  Returns the meta object for class '`Loop Exp`'.

  Returns:
    the meta object for class 'Loop Exp'.
  See Also:
    `LoopExp`

### getLoopExp_Body

    EReference getLoopExp_Body()

  Returns the meta object for the containment reference '`Body`'.

  Returns:
    the meta object for the containment reference 'Body'.
  See Also:
    `LoopExp.getBody()`, `getLoopExp()`

### getLoopExp_Iterator

    EReference getLoopExp_Iterator()

  Returns the meta object for the containment reference list '`Iterator`'.

  Returns:
    the meta object for the containment reference list 'Iterator'.
  See Also:
    `LoopExp.getIterator()`, `getLoopExp()`

### getMessageExp

    EClass getMessageExp()

  Returns the meta object for class '`Message Exp`'.

  Returns:
    the meta object for class 'Message Exp'.
  See Also:
    `MessageExp`

### getMessageExp_Target

    EReference getMessageExp_Target()

  Returns the meta object for the containment reference '`Target`'.

  Returns:
    the meta object for the containment reference 'Target'.
  See Also:
    `MessageExp.getTarget()`, `getMessageExp()`

### getMessageExp_Argument

    EReference getMessageExp_Argument()

  Returns the meta object for the containment reference list '`Argument`'.

  Returns:
    the meta object for the containment reference list 'Argument'.
  See Also:
    `MessageExp.getArgument()`, `getMessageExp()`

### getMessageExp_CalledOperation

    EReference getMessageExp_CalledOperation()

  Returns the meta object for the containment reference '`Called Operation`'.

  Returns:
    the meta object for the containment reference 'Called Operation'.
  See Also:
    `MessageExp.getCalledOperation()`, `getMessageExp()`

### getMessageExp_SentSignal

    EReference getMessageExp_SentSignal()

  Returns the meta object for the containment reference '`Sent Signal`'.

  Returns:
    the meta object for the containment reference 'Sent Signal'.
  See Also:
    `MessageExp.getSentSignal()`, `getMessageExp()`

### getNavigationCallExp

    EClass getNavigationCallExp()

  Returns the meta object for class '`Navigation Call Exp`'.

  Returns:
    the meta object for class 'Navigation Call Exp'.
  See Also:
    `NavigationCallExp`

### getNavigationCallExp_Qualifier

    EReference getNavigationCallExp_Qualifier()

  Returns the meta object for the containment reference list '`Qualifier`'.

  Returns:
    the meta object for the containment reference list 'Qualifier'.
  See Also:
    `NavigationCallExp.getQualifier()`, `getNavigationCallExp()`

### getNavigationCallExp_NavigationSource

    EReference getNavigationCallExp_NavigationSource()

  Returns the meta object for the reference '`Navigation Source`'.

  Returns:
    the meta object for the reference 'Navigation Source'.
  See Also:
    `NavigationCallExp.getNavigationSource()`, `getNavigationCallExp()`

### getNullLiteralExp

    EClass getNullLiteralExp()

  Returns the meta object for class '`Null Literal Exp`'.

  Returns:
    the meta object for class 'Null Literal Exp'.
  See Also:
    `NullLiteralExp`

### getNumericLiteralExp

    EClass getNumericLiteralExp()

  Returns the meta object for class '`Numeric Literal Exp`'.

  Returns:
    the meta object for class 'Numeric Literal Exp'.
  See Also:
    `NumericLiteralExp`

### getOCLExpression

    EClass getOCLExpression()

  Returns the meta object for class '`OCL Expression`'.

  Returns:
    the meta object for class 'OCL Expression'.
  See Also:
    `OCLExpression`

### getOperationCallExp

    EClass getOperationCallExp()

  Returns the meta object for class '`Operation Call Exp`'.

  Returns:
    the meta object for class 'Operation Call Exp'.
  See Also:
    `OperationCallExp`

### getOperationCallExp_Argument

    EReference getOperationCallExp_Argument()

  Returns the meta object for the containment reference list '`Argument`'.

  Returns:
    the meta object for the containment reference list 'Argument'.
  See Also:
    `OperationCallExp.getArgument()`, `getOperationCallExp()`

### getOperationCallExp_ReferredOperation

    EReference getOperationCallExp_ReferredOperation()

  Returns the meta object for the reference '`Referred Operation`'.

  Returns:
    the meta object for the reference 'Referred Operation'.
  See Also:
    `OperationCallExp.getReferredOperation()`, `getOperationCallExp()`

### getOperationCallExp_OperationCode

    EAttribute getOperationCallExp_OperationCode()

  Returns the meta object for the attribute '`Operation Code`'.

  Returns:
    the meta object for the attribute 'Operation Code'.
  See Also:
    `OperationCallExp.getOperationCode()`, `getOperationCallExp()`

### getPrimitiveLiteralExp

    EClass getPrimitiveLiteralExp()

  Returns the meta object for class '`Primitive Literal Exp`'.

  Returns:
    the meta object for class 'Primitive Literal Exp'.
  See Also:
    `PrimitiveLiteralExp`

### getPropertyCallExp

    EClass getPropertyCallExp()

  Returns the meta object for class '`Property Call Exp`'.

  Returns:
    the meta object for class 'Property Call Exp'.
  See Also:
    `PropertyCallExp`

### getPropertyCallExp_ReferredProperty

    EReference getPropertyCallExp_ReferredProperty()

  Returns the meta object for the reference '`Referred Property`'.

  Returns:
    the meta object for the reference 'Referred Property'.
  See Also:
    `PropertyCallExp.getReferredProperty()`, `getPropertyCallExp()`

### getRealLiteralExp

    EClass getRealLiteralExp()

  Returns the meta object for class '`Real Literal Exp`'.

  Returns:
    the meta object for class 'Real Literal Exp'.
  See Also:
    `RealLiteralExp`

### getRealLiteralExp_RealSymbol

    EAttribute getRealLiteralExp_RealSymbol()

  Returns the meta object for the attribute '`Real Symbol`'.

  Returns:
    the meta object for the attribute 'Real Symbol'.
  See Also:
    `RealLiteralExp.getRealSymbol()`, `getRealLiteralExp()`

### getStateExp

    EClass getStateExp()

  Returns the meta object for class '`State Exp`'.

  Returns:
    the meta object for class 'State Exp'.
  See Also:
    `StateExp`

### getStateExp_ReferredState

    EReference getStateExp_ReferredState()

  Returns the meta object for the reference '`Referred State`'.

  Returns:
    the meta object for the reference 'Referred State'.
  See Also:
    `StateExp.getReferredState()`, `getStateExp()`

### getStringLiteralExp

    EClass getStringLiteralExp()

  Returns the meta object for class '`String Literal Exp`'.

  Returns:
    the meta object for class 'String Literal Exp'.
  See Also:
    `StringLiteralExp`

### getStringLiteralExp_StringSymbol

    EAttribute getStringLiteralExp_StringSymbol()

  Returns the meta object for the attribute '`String Symbol`'.

  Returns:
    the meta object for the attribute 'String Symbol'.
  See Also:
    `StringLiteralExp.getStringSymbol()`, `getStringLiteralExp()`

### getTupleLiteralExp

    EClass getTupleLiteralExp()

  Returns the meta object for class '`Tuple Literal Exp`'.

  Returns:
    the meta object for class 'Tuple Literal Exp'.
  See Also:
    `TupleLiteralExp`

### getTupleLiteralExp_Part

    EReference getTupleLiteralExp_Part()

  Returns the meta object for the containment reference list '`Part`'.

  Returns:
    the meta object for the containment reference list 'Part'.
  See Also:
    `TupleLiteralExp.getPart()`, `getTupleLiteralExp()`

### getTupleLiteralPart

    EClass getTupleLiteralPart()

  Returns the meta object for class '`Tuple Literal Part`'.

  Returns:
    the meta object for class 'Tuple Literal Part'.
  See Also:
    `TupleLiteralPart`

### getTupleLiteralPart_Value

    EReference getTupleLiteralPart_Value()

  Returns the meta object for the containment reference '`Value`'.

  Returns:
    the meta object for the containment reference 'Value'.
  See Also:
    `TupleLiteralPart.getValue()`, `getTupleLiteralPart()`

### getTupleLiteralPart_Attribute

    EReference getTupleLiteralPart_Attribute()

  Returns the meta object for the reference '`Attribute`'.

  Returns:
    the meta object for the reference 'Attribute'.
  See Also:
    `TupleLiteralPart.getAttribute()`, `getTupleLiteralPart()`

### getTypeExp

    EClass getTypeExp()

  Returns the meta object for class '`Type Exp`'.

  Returns:
    the meta object for class 'Type Exp'.
  See Also:
    `TypeExp`

### getTypeExp_ReferredType

    EReference getTypeExp_ReferredType()

  Returns the meta object for the reference '`Referred Type`'.

  Returns:
    the meta object for the reference 'Referred Type'.
  See Also:
    `TypeExp.getReferredType()`, `getTypeExp()`

### getUnspecifiedValueExp

    EClass getUnspecifiedValueExp()

  Returns the meta object for class '`Unspecified Value Exp`'.

  Returns:
    the meta object for class 'Unspecified Value Exp'.
  See Also:
    `UnspecifiedValueExp`

### getVariable

    EClass getVariable()

  Returns the meta object for class '`Variable`'.

  Returns:
    the meta object for class 'Variable'.
  See Also:
    `Variable`

### getVariable_InitExpression

    EReference getVariable_InitExpression()

  Returns the meta object for the containment reference '`Init Expression`'.

  Returns:
    the meta object for the containment reference 'Init Expression'.
  See Also:
    `Variable.getInitExpression()`, `getVariable()`

### getVariable_RepresentedParameter

    EReference getVariable_RepresentedParameter()

  Returns the meta object for the reference '`Represented Parameter`'.

  Returns:
    the meta object for the reference 'Represented Parameter'.
  See Also:
    `Variable.getRepresentedParameter()`, `getVariable()`

### getVariableExp

    EClass getVariableExp()

  Returns the meta object for class '`Variable Exp`'.

  Returns:
    the meta object for class 'Variable Exp'.
  See Also:
    `VariableExp`

### getVariableExp_ReferredVariable

    EReference getVariableExp_ReferredVariable()

  Returns the meta object for the reference '`Referred Variable`'.

  Returns:
    the meta object for the reference 'Referred Variable'.
  See Also:
    `VariableExp.getReferredVariable()`, `getVariableExp()`

### getCollectionKind

    EEnum getCollectionKind()

  Returns the meta object for enum '`Collection Kind`'.

  Returns:
    the meta object for enum 'Collection Kind'.
  See Also:
    `CollectionKind`

### getExpressionsFactory

    ExpressionsFactory getExpressionsFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.